Package io.dapr.v1

# Interface CommonProtos.StateItemOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.StateItem`, `CommonProtos.StateItem.Builder`

Enclosing class:
  CommonProtos

public static interface CommonProtos.StateItemOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be passed to state store component.
`CommonProtos.Etag`
`getEtag()`
The entity tag which represents the specific version of data.
`CommonProtos.EtagOrBuilder`
`getEtagOrBuilder()`
The entity tag which represents the specific version of data.
`String`
`getKey()`
Required.
`com.google.protobuf.ByteString`
`getKeyBytes()`
Required.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be passed to state store component.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be passed to state store component.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be passed to state store component.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be passed to state store component.
`CommonProtos.StateOptions`
`getOptions()`
Options for concurrency and consistency to save the state.
`CommonProtos.StateOptionsOrBuilder`
`getOptionsOrBuilder()`
Options for concurrency and consistency to save the state.
`com.google.protobuf.ByteString`
`getValue()`
Required.
`boolean`
`hasEtag()`
The entity tag which represents the specific version of data.
`boolean`
`hasOptions()`
Options for concurrency and consistency to save the state.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKey

String getKey()

     Required. The state key

`string key = 1;`

Returns:
  The key.

### getKeyBytes

com.google.protobuf.ByteString getKeyBytes()

     Required. The state key

`string key = 1;`

Returns:
  The bytes for key.

### getValue

com.google.protobuf.ByteString getValue()

     Required. The state data for key

`bytes value = 2;`

Returns:
  The value.

### hasEtag

boolean hasEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Returns:
  Whether the etag field is set.

### getEtag

CommonProtos.Etag getEtag()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

Returns:
  The etag.

### getEtagOrBuilder

CommonProtos.EtagOrBuilder getEtagOrBuilder()

     The entity tag which represents the specific version of data.
     The exact ETag format is defined by the corresponding data store.

`.dapr.proto.common.v1.Etag etag = 3;`

### getMetadataCount

int getMetadataCount()

     The metadata which will be passed to state store component.

`map<string, string> metadata = 4;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be passed to state store component.

`map<string, string> metadata = 4;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be passed to state store component.

`map<string, string> metadata = 4;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be passed to state store component.

`map<string, string> metadata = 4;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be passed to state store component.

`map<string, string> metadata = 4;`

### hasOptions

boolean hasOptions()

     Options for concurrency and consistency to save the state.

`.dapr.proto.common.v1.StateOptions options = 5;`

Returns:
  Whether the options field is set.

### getOptions

CommonProtos.StateOptions getOptions()

     Options for concurrency and consistency to save the state.

`.dapr.proto.common.v1.StateOptions options = 5;`

Returns:
  The options.

### getOptionsOrBuilder

CommonProtos.StateOptionsOrBuilder getOptionsOrBuilder()

     Options for concurrency and consistency to save the state.

`.dapr.proto.common.v1.StateOptions options = 5;`